Eyetracker |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
pygaze.eyetracker.EyeTracker Class Reference
Inheritance diagram for pygaze.eyetracker.EyeTracker:

## Public Member Functions
| __init__ (self, display, trackertype=settings.TRACKERTYPE, **args)
Public Member Functions inherited from pygaze._eyetracker.baseeyetracker.BaseEyeTracker
| __init__ (self)
| calibrate (self)
| close (self)
| connected (self)
| drift_correction (self, pos=None, fix_triggered=False)
| fix_triggered_drift_correction (self, pos=None, min_samples=30, max_dev=60, reset_threshold=10)
| get_eyetracker_clock_async (self)
| log (self, msg)
| log_var (self, var, val)
| pupil_size (self)
| sample (self)
| send_command (self, cmd)
| set_eye_used (self)
| draw_drift_correction_target (self, x, y)
| draw_calibration_target (self, x, y)
| set_draw_calibration_target_func (self, func)
| set_draw_drift_correction_target_func (self, func)
| start_recording (self)
| status_msg (self, msg)
| stop_recording (self)
| set_detection_type (self, eventdetection)
| wait_for_event (self, event)
| wait_for_blink_end (self)
| wait_for_blink_start (self)
| wait_for_fixation_end (self)
| wait_for_fixation_start (self)
| wait_for_saccade_end (self)
| wait_for_saccade_start (self)

## Additional Inherited Members
Public Attributes inherited from pygaze._eyetracker.baseeyetracker.BaseEyeTracker
| draw_calibration_target = func
| draw_drift_correction_target = func

## Detailed Description

        Generic EyeTracker class, which morphs into an eye-tracker specific class.

## Constructor & Destructor Documentation

## ◆ __init__()

pygaze.eyetracker.EyeTracker.__init__ | ( |  | self,
|  |  | display,
|  |  | trackertype = settings.TRACKERTYPE,
|  | ** | args )

            Initializes an EyeTracker object.

            arguments

            display     --  a pygaze.display.Display instance

            keyword arguments

            trackertype     --  the type of eye tracker; choose from:
                            'dumbdummy', 'dummy', 'eyelink', 'smi',
                            'tobii', 'eyetribe' (default = TRACKERTYPE)
            **args      --  A keyword-argument dictionary that contains
                            eye-tracker-specific options

The documentation for this class was generated from the following file:

- C:/Users/lurax/eyetrackingTobii/pygaze/eyetracker.py